OpenCV: cv::SparseMatIterator Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::SparseMatIterator Class Reference
Core functionality » Basic structures

Read-write Sparse Matrix Iterator. More...

`#include "mat.hpp"`

Inheritance diagram for cv::SparseMatIterator:

## Public Member Functions
| SparseMatIterator ()
| the default constructor More...
| SparseMatIterator (SparseMat *_m)
| the full constructor setting the iterator to the first sparse matrix element More...
| SparseMatIterator (SparseMat *_m, const int *idx)
| the full constructor setting the iterator to the specified sparse matrix element More...
| SparseMatIterator (const SparseMatIterator &it)
| the copy constructor More...
SparseMat::Node * | node () const
| returns pointer to the current sparse matrix node. it.node->idx is the index of the current element (do not modify it!) More...
SparseMatIterator & | operator++ ()
| moves iterator to the next element More...
SparseMatIterator | operator++ (int)
| moves iterator to the next element More...
SparseMatIterator & | operator= (const SparseMatIterator &it)
| the assignment operator More...
template<typename _Tp >
_Tp & | value () const
| returns read-write reference to the current sparse matrix element More...
Public Member Functions inherited from cv::SparseMatConstIterator
| SparseMatConstIterator ()
| the default constructor More...
| SparseMatConstIterator (const SparseMat *_m)
| the full constructor setting the iterator to the first sparse matrix element More...
| SparseMatConstIterator (const SparseMatConstIterator &it)
| the copy constructor More...
const SparseMat::Node * | node () const
| returns the current node of the sparse matrix. it.node->idx is the current element index More...
SparseMatConstIterator & | operator++ ()
| moves iterator to the next element More...
SparseMatConstIterator | operator++ (int)
| moves iterator to the next element More...
SparseMatConstIterator & | operator-- ()
| moves iterator to the previous element More...
SparseMatConstIterator | operator-- (int)
| moves iterator to the previous element More...
SparseMatConstIterator & | operator= (const SparseMatConstIterator &it)
| the assignment operator More...
void | seekEnd ()
| moves iterator to the element after the last element More...
template<typename _Tp >
const _Tp & | value () const
| template method returning the current matrix element More...

## Additional Inherited Members
Public Attributes inherited from cv::SparseMatConstIterator
size_t | hashidx
const SparseMat * | m
uchar * | ptr

## Detailed Description

Read-write Sparse Matrix Iterator.

The class is similar to cv::SparseMatConstIterator, but can be used for in-place modification of the matrix elements.

## Constructor & Destructor Documentation

## ◆ SparseMatIterator() [1/4]

cv::SparseMatIterator::SparseMatIterator | ( |  | ) |

the default constructor

## ◆ SparseMatIterator() [2/4]

cv::SparseMatIterator::SparseMatIterator | ( | SparseMat * | _m | ) |

the full constructor setting the iterator to the first sparse matrix element

## ◆ SparseMatIterator() [3/4]

cv::SparseMatIterator::SparseMatIterator | ( | SparseMat * | _m,
|  | const int * | idx
| ) |  |

the full constructor setting the iterator to the specified sparse matrix element

## ◆ SparseMatIterator() [4/4]

cv::SparseMatIterator::SparseMatIterator | ( | const SparseMatIterator & | it | ) |

the copy constructor

## Member Function Documentation

## ◆ node()

SparseMat::Node* cv::SparseMatIterator::node | ( |  | ) | const

returns pointer to the current sparse matrix node. it.node->idx is the index of the current element (do not modify it!)

## ◆ operator++() [1/2]

SparseMatIterator& cv::SparseMatIterator::operator++ | ( |  | ) |

moves iterator to the next element

## ◆ operator++() [2/2]

SparseMatIterator cv::SparseMatIterator::operator++ | ( | int |  | ) |

moves iterator to the next element

## ◆ operator=()

SparseMatIterator& cv::SparseMatIterator::operator= | ( | const SparseMatIterator & | it | ) |

the assignment operator

## ◆ value()

template<typename _Tp >

_Tp& cv::SparseMatIterator::value | ( |  | ) | const

returns read-write reference to the current sparse matrix element

The documentation for this class was generated from the following file:

- core/include/opencv2/core/mat.hpp